### Method

# Ide PipelineStageMkdirs add_path

#### Declaration

    void
    ide_pipeline_stage_mkdirs_add_path (
      IdePipelineStageMkdirs* self,
      const gchar* path,
      gboolean with_parents,
      gint mode,
      gboolean remove_on_rebuild
    )

#### Description

No description available.

#### Parameters

`path` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`with_parents` | `gboolean`
| No description available.
`mode` | `gint`
| No description available.
`remove_on_rebuild` | `gboolean`
| No description available.